/Users/bernard/b20/bsoft/src/bscale.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bscale.cpp - Program to find the scaling of map with respect to a reference.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to find the scaling of map with respect to a reference.

Author:
    Bernard Heymann

Date:
    Created: 20160317

    Modified: 20170106

Definition in file bscale.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 45 of file bscale.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bscale [options] input.pif output.map",
"--------------------------------------------",
"Scales a map with respect to a reference.",
" ",
"Actions:",
"-bin 3                   Bin the images before comparison.",
"-average 7               Averaging/smoothing filter: kernel size.",
"-symmetry C5             Find point group symmetry equivalent.",
"-fit                     Fit the map to the reference.",
"-rescale -0.1,5.2        Rescale data to average and standard deviation.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-origin 0.8,-10,15.7     Set the origin (default from input image).",
"-sampling 1.5,1.5,1.5    Dimension scaling (default 1,1,1 A/pixel).",
"-range 0.95,1.08,0.01    Scaling range and step size (default 0.99,1.01,0.01).",
" ",
"Input:",
"-reference temp.map      Reference map to scale to.",
"-mask mask.mrc           Mask (must be the same size as the reference).",
" ",
NULL
}

Definition at line 18 of file bscale.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.